Bug 1203335 - Panels cannot be moved after they've been dropped into the Project Explorer part of the split panel
Summary: Panels cannot be moved after they've been dropped into the Project Explorer p...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER4
: 6.2.0
Assignee: manstis
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 15:29 UTC by Zuzana Krejčová
Modified: 2020-03-27 19:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:37:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Zuzana Krejčová 2015-03-18 15:29:56 UTC
Description of problem:
If you drag&drop a panel over the Project Explorer (Project authoring perspective), it can no longer be moved back. If you drop it so that it covers the Project Explorer, you cannot switch to Project Explorer.


Version-Release number of selected component (if applicable):
6.1 ER6


Steps to Reproduce:
1. Open Project authoring perspective. Open an asset editor.
2. Grab that editor's panel header and drag it over to the Project Explorer panel.
3. Drop it over the middle part (blue square) of the "compass" widget.
4. Try either of the following:
   Grab the editor's panel header again and drag it back.
   Switch to Project Explorer (same way as you switch two asset editors that have been opened in the same panel).


Actual results:
Step 4 is impossible to do.


Expected results:
The asset editor can be moved in step 4 and it is possible to switch to the Project Explorer.

Comment 1 Zuzana Krejčová 2015-03-18 15:32:04 UTC
Same thing for the Administration perspective and dropping panels over the File Explorer.

Comment 2 Zuzana Krejčová 2015-03-18 15:35:36 UTC
Actually the same problem will be with all split panels - or rather their left parts.

Comment 3 manstis 2015-09-22 17:09:58 UTC
Reassigning to Christian since this is an UberFire issue.

Comment 4 Christian Sadilek 2015-09-24 16:34:31 UTC
The project explorer, file explorer etc. are no longer drop targets in 6.3 (community) and 6.2 (product) so this should not be an issue anymore. Other split panels I tested also didn't have that problem anymore but needs confirmation.


Note You need to log in before you can comment on or make changes to this bug.